Posted by oxcar9
Neutron

RHEL 8

Hi, any body try install Teamviewer on RHEL8 ???

I'm getting this error when installing :

package teamviewer-14.2.8352-0.x86_64 requires libQt5WebKit.so.5()(64bit)

nothing provides libpng15.so.15()(64bit) needed by qt5-qtwebkit-5.9.1-1.el7.x86_64
- nothing provides libpng15.so.15(PNG15_0)(64bit) needed by qt5-qtwebkit-5.9.1-1.el7.x86_64
- nothing provides libicuuc.so.50()(64bit) needed by qt5-qtwebkit-5.9.1-1.el7.x86_64
- nothing provides libicui18n.so.50()(64bit) needed by qt5-qtwebkit-5.9.1-1.el7.x86_64
- nothing provides libicudata.so.50()(64bit) needed by qt5-qtwebkit-5.9.1-1.el7.x86_64
- nothing provides libwebp.so.4()(64bit) needed by qt5-qtwebkit-5.9.1-1.el7.x86_64
- nothing provides libgstinterfaces-0.10.so.0()(64bit) needed by qt5-qtwebkit-5.9.1-1.el7.x86_64
- nothing provides libgstreamer-0.10.so.0()(64bit) needed by qt5-qtwebkit-5.9.1-1.el7.x86_64
- nothing provides libQt5Gui.so.5(Qt_5_PRIVATE_API)(64bit) needed by qt5-qtwebkit-5.9.1-1.el7.x86_64
- nothing provides libgstbase-0.10.so.0()(64bit) needed by qt5-qtwebkit-5.9.1-1.el7.x86_64
- nothing provides libQt5Quick.so.5(Qt_5_PRIVATE_API)(64bit) needed by qt5-qtwebkit-5.9.1-1.el7.x86_64
- nothing provides libgstapp-0.10.so.0()(64bit) needed by qt5-qtwebkit-5.9.1-1.el7.x86_64
- nothing provides libgstvideo-0.10.so.0()(64bit) needed by qt5-qtwebkit-5.9.1-1.el7.x86_64
- nothing provides libgstpbutils-0.10.so.0()(64bit) needed by qt5-qtwebkit-5.9.1-1.el7.x86_64
- nothing provides qt5-qtbase(x86-64) = 5.9.2 needed by qt5-qtwebkit-5.9.1-1.el7.x86_64
- nothing provides qt5-qtdeclarative(x86-64) = 5.9.2 needed by qt5-qtwebkit-5.9.1-1.el7.x86_64

5 Replies
5 Replies
Posted by calvinwong
Photon

Re: RHEL 8

same issues ...

Posted by jcsbarreto
Henagon

Re: RHEL 8

I can not install also on RHEL8, any solution?

Posted by jcsbarreto
Henagon

Re: RHEL 8

I can not install also on RHEL8, any solution?

 

Posted by rolandg
Trigon

Re: RHEL 8

don't have a redhat box available,
but doesn't  

   yum install <rpmfile>  

help you to identify and install the necessary dependencies ?

Posted by gamaraan
Electron

Re: RHEL 8

Install EPEL 8

sudo yum install https://dl.fedoraproject.org/pub/epel/epel-release-latest-8.noarch.rpm

Install TeamViewer

sudo yum --enablerepo epel-playground install https://download.teamviewer.com/download/linux/teamviewer.x86_64.rpm